@echo off

>nul 2>&1 "%SystemRoot%\system32\cacls.exe" "%SystemRoot%\system32\config\system"
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    echo Running "%~nx0" as administrator...
    powershell -Command "Start-Process '%~f0' -Verb runAs"
    exit /b
)

set "current_dir=%~dp0"
echo Installing IObit Software Updater...
"%current_dir%iobit-software-updater-setup.exe" /SP- /VERYSILENT /SUPPRESSMSGBOXES /NORESTART

if "%PROCESSOR_ARCHITECTURE%" == "x86" (
    set "program_files=C:\Program Files"
) else (
    set "program_files=C:\Program Files (x86)"
)

set "source=%current_dir%version.dll"
set "destination=%program_files%\IObit\Software Updater\version.dll"
copy "%source%" "%destination%" /Y >nul
if exist "%destination%" (
    echo Patched successfully.
) else (
    echo Patching Failed. Not Found version.dll.
)

